Changeset 1348


Ignore:
Timestamp:
Mar 30, 2009 11:33:58 AM (11 years ago)
Author:
ladanyi
Message:

adjusted externals and ran run_autotools

Location:
stable/1.10
Files:
3 edited

Legend:

Unmodified
Added
Removed
  • stable/1.10

    • Property svn:externals
      •  

        old new  
        1 BuildTools    https://projects.coin-or.org/svn/BuildTools/trunk
         1BuildTools    https://projects.coin-or.org/svn/BuildTools/stable/0.5
        22ThirdParty/Blas https://projects.coin-or.org/svn/BuildTools/ThirdParty/Blas/stable/1.0
        33ThirdParty/Lapack https://projects.coin-or.org/svn/BuildTools/ThirdParty/Lapack/stable/1.0
        4 Data/Netlib   https://projects.coin-or.org/svn/Data/stable/1.0/Netlib
        5 Data/Sample   https://projects.coin-or.org/svn/Data/trunk/Sample
        6 CoinUtils     https://projects.coin-or.org/svn/CoinUtils/trunk/CoinUtils
         4Data/Sample   https://projects.coin-or.org/svn/Data/stable/1.0/Sample
         5CoinUtils     https://projects.coin-or.org/svn/CoinUtils/stable/2.5/CoinUtils
  • stable/1.10/Externals

    r1091 r1348  
    1 BuildTools    https://projects.coin-or.org/svn/BuildTools/trunk
     1BuildTools    https://projects.coin-or.org/svn/BuildTools/stable/0.5
    22ThirdParty/Blas https://projects.coin-or.org/svn/BuildTools/ThirdParty/Blas/stable/1.0
    33ThirdParty/Lapack https://projects.coin-or.org/svn/BuildTools/ThirdParty/Lapack/stable/1.0
    4 Data/Netlib   https://projects.coin-or.org/svn/Data/stable/1.0/Netlib
    5 Data/Sample   https://projects.coin-or.org/svn/Data/trunk/Sample
    6 CoinUtils     https://projects.coin-or.org/svn/CoinUtils/trunk/CoinUtils
     4Data/Sample   https://projects.coin-or.org/svn/Data/stable/1.0/Sample
     5CoinUtils     https://projects.coin-or.org/svn/CoinUtils/stable/2.5/CoinUtils
  • stable/1.10/configure

    r1220 r1348  
    26472647        coin_add_cflags="-pipe"
    26482648        coin_dbg_cflags="-g"
    2649         coin_warn_cflags="-pedantic-errors -Wimplicit -Wparentheses -Wsequence-point -Wreturn-type -Wcast-qual -Wall"
     2649        coin_warn_cflags="-Wimplicit -Wparentheses -Wsequence-point -Wreturn-type -Wcast-qual -Wall -Wno-unknown-pragmas"
     2650        case $build in
     2651          *-darwin*)
     2652            ;;
     2653          *)
     2654            coin_warn_cflags="-pedantic-errors $coin_warn_cflags"
     2655            ;;
     2656        esac
    26502657        case $enable_doscompile in
    26512658          mingw)
     
    27202727        case "$CC" in
    27212728          icc* | */icc*)
    2722             coin_opt_cflags="-O3 -ip"
     2729            coin_opt_cflags="-O3 -ip -mp1"
    27232730            coin_add_cflags=""
    27242731            coin_dbg_cflags="-g"
     
    30773084             fi ;;
    30783085  *-*-solaris*)
    3079              comps="CC xlC aCC g++ c++ pgCC icpc gpp cxx cc++ cl FCC KCC RCC" ;;
     3086             comps="CC xlC_r aCC g++ c++ pgCC icpc gpp cxx cc++ cl FCC KCC RCC" ;;
    30803087  *-darwin*) comps="g++ c++ CC" ;;
    3081           *) comps="xlC aCC CC g++ c++ pgCC icpc gpp cxx cc++ cl FCC KCC RCC" ;;
     3088          *) comps="xlC_r aCC CC g++ c++ pgCC icpc gpp cxx cc++ cl FCC KCC RCC" ;;
    30823089esac
    30833090
     
    34413448ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
    34423449
    3443 if test -z "$CXX" ; then
    3444   { { echo "$as_me:$LINENO: error: Failed to find a C++ compiler!" >&5
    3445 echo "$as_me: error: Failed to find a C++ compiler!" >&2;}
     3450
     3451#AC_PROG_CXX sets CXX to g++ if it cannot find a working C++ compiler
     3452#thus, we test here whether $CXX is actually working
     3453ac_ext=cc
     3454ac_cpp='$CXXCPP $CPPFLAGS'
     3455ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
     3456ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     3457ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
     3458
     3459echo "$as_me:$LINENO: checking whether C++ compiler $CXX works" >&5
     3460echo $ECHO_N "checking whether C++ compiler $CXX works... $ECHO_C" >&6;
     3461cat >conftest.$ac_ext <<_ACEOF
     3462/* confdefs.h.  */
     3463_ACEOF
     3464cat confdefs.h >>conftest.$ac_ext
     3465cat >>conftest.$ac_ext <<_ACEOF
     3466/* end confdefs.h.  */
     3467
     3468int
     3469main ()
     3470{
     3471int i=0;
     3472  ;
     3473  return 0;
     3474}
     3475_ACEOF
     3476rm -f conftest.$ac_objext
     3477if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
     3478  (eval $ac_compile) 2>conftest.er1
     3479  ac_status=$?
     3480  grep -v '^ *+' conftest.er1 >conftest.err
     3481  rm -f conftest.er1
     3482  cat conftest.err >&5
     3483  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3484  (exit $ac_status); } &&
     3485         { ac_try='test -z "$ac_cxx_werror_flag"
     3486                         || test ! -s conftest.err'
     3487  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     3488  (eval $ac_try) 2>&5
     3489  ac_status=$?
     3490  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3491  (exit $ac_status); }; } &&
     3492         { ac_try='test -s conftest.$ac_objext'
     3493  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     3494  (eval $ac_try) 2>&5
     3495  ac_status=$?
     3496  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3497  (exit $ac_status); }; }; then
     3498  echo "$as_me:$LINENO: result: yes" >&5
     3499echo "${ECHO_T}yes" >&6
     3500else
     3501  echo "$as_me: failed program was:" >&5
     3502sed 's/^/| /' conftest.$ac_ext >&5
     3503
     3504echo "$as_me:$LINENO: result: no" >&5
     3505echo "${ECHO_T}no" >&6
     3506   { { echo "$as_me:$LINENO: error: failed to find a C++ compiler or C++ compiler $CXX does not work" >&5
     3507echo "$as_me: error: failed to find a C++ compiler or C++ compiler $CXX does not work" >&2;}
    34463508   { (exit 1); exit 1; }; }
    3447 fi
     3509
     3510fi
     3511rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
     3512ac_ext=cc
     3513ac_cpp='$CXXCPP $CPPFLAGS'
     3514ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
     3515ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     3516ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
     3517
    34483518
    34493519# It seems that we need to cleanup something here for the Windows
     
    34913561        coin_add_cxxflags="-pipe"
    34923562        coin_dbg_cxxflags="-g"
    3493         coin_warn_cxxflags="-pedantic-errors -Wimplicit -Wparentheses -Wreturn-type -Wcast-qual -Wall -Wpointer-arith -Wwrite-strings -Wconversion"
    3494         case $enable_doscompile in
    3495           mingw)
    3496             CXXFLAGS="-mno-cygwin"
    3497             cat >conftest.$ac_ext <<_ACEOF
     3563        coin_warn_cxxflags="-Wimplicit -Wparentheses -Wreturn-type -Wcast-qual -Wall -Wpointer-arith -Wwrite-strings -Wconversion -Wno-unknown-pragmas"
     3564        case $build in
     3565          *-darwin*)
     3566            ;;
     3567          *)
     3568            coin_warn_cxxflags="-pedantic-errors $coin_warn_cxxflags"
     3569            ;;
     3570        esac
     3571
     3572        case $enable_doscompile in
     3573          mingw)
     3574            CXXFLAGS="-mno-cygwin"
     3575            cat >conftest.$ac_ext <<_ACEOF
    34983576/* confdefs.h.  */
    34993577_ACEOF
     
    35403618rm -f conftest.err conftest.$ac_objext \
    35413619      conftest$ac_exeext conftest.$ac_ext
    3542             CXXFLAGS=
    3543             ;;
    3544         esac
     3620            CXXFLAGS=
     3621          ;;
     3622        esac
    35453623    esac
    35463624  fi
     
    35693647        case "$CXX" in
    35703648          icpc* | */icpc*)
    3571             coin_opt_cxxflags="-O3 -ip"
     3649            coin_opt_cxxflags="-O3 -ip -mp1"
    35723650            coin_add_cxxflags=""
    35733651            coin_dbg_cxxflags="-g"
     
    36323710          xlC* | */xlC* | mpxlC* | */mpxlC*)
    36333711            coin_opt_cxxflags="-O -qarch=auto -qcache=auto -qtune=auto -qmaxmem=-1"
    3634             coin_add_cxxflags="-bmaxdata:0x80000000 -qrtti=dyna -qsuppress=1500-036 -qsuppress=1500-029"
     3712            coin_add_cxxflags="-bmaxdata:0x80000000 -qrtti=dyna -qsuppress=1500-036 -qsuppress=1500-029 -qsourcetype=c++"
    36353713            coin_dbg_cxxflags="-g"
    36363714            ;;
     
    39113989     fi ;;
    39123990  *-*-solaris*)
    3913      coin_f77_comps="f95 f90 f77 xlf fort77 gfortran g77 pgf90 pgf77 ifort ifc frt af77" ;;
    3914   *) coin_f77_comps="xlf fort77 gfortran f77 g77 pgf90 pgf77 ifort ifc frt af77" ;;
     3991     coin_f77_comps="f95 f90 f77 xlf_r fort77 gfortran g77 pgf90 pgf77 ifort ifc frt af77" ;;
     3992  *) coin_f77_comps="xlf_r fort77 gfortran f77 g77 pgf90 pgf77 ifort ifc frt af77" ;;
    39153993 esac
    39163994
     
    40834161
    40844162# Provide some information about the compiler.
    4085 echo "$as_me:4085:" \
     4163echo "$as_me:4163:" \
    40864164     "checking for Fortran 77 compiler version" >&5
    40874165ac_compiler=`set X $ac_compile; echo $2`
     
    42984376        case $F77 in
    42994377          ifort* | */ifort* | IFORT* | */IFORT* )
    4300             coin_opt_fflags='-O3'
    4301             coin_add_fflags='-fpp -nologo -MT'
    4302             coin_dbg_fflags='-debug'
     4378            coin_opt_fflags='-MT -O3'
     4379            coin_add_fflags='-fpp -nologo'
     4380            coin_dbg_fflags='-MTd -debug'
    43034381          ;;
    43044382          compile_f2c*)
     
    63426420*-*-irix6*)
    63436421  # Find out which ABI we are using.
    6344   echo '#line 6344 "configure"' > conftest.$ac_ext
     6422  echo '#line 6422 "configure"' > conftest.$ac_ext
    63456423  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    63466424  (eval $ac_compile) 2>&5
     
    83068384   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    83078385   -e 's:$: $lt_compiler_flag:'`
    8308    (eval echo "\"\$as_me:8308: $lt_compile\"" >&5)
     8386   (eval echo "\"\$as_me:8386: $lt_compile\"" >&5)
    83098387   (eval "$lt_compile" 2>conftest.err)
    83108388   ac_status=$?
    83118389   cat conftest.err >&5
    8312    echo "$as_me:8312: \$? = $ac_status" >&5
     8390   echo "$as_me:8390: \$? = $ac_status" >&5
    83138391   if (exit $ac_status) && test -s "$ac_outfile"; then
    83148392     # The compiler can only warn and ignore the option if not recognized
     
    85748652   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    85758653   -e 's:$: $lt_compiler_flag:'`
    8576    (eval echo "\"\$as_me:8576: $lt_compile\"" >&5)
     8654   (eval echo "\"\$as_me:8654: $lt_compile\"" >&5)
    85778655   (eval "$lt_compile" 2>conftest.err)
    85788656   ac_status=$?
    85798657   cat conftest.err >&5
    8580    echo "$as_me:8580: \$? = $ac_status" >&5
     8658   echo "$as_me:8658: \$? = $ac_status" >&5
    85818659   if (exit $ac_status) && test -s "$ac_outfile"; then
    85828660     # The compiler can only warn and ignore the option if not recognized
     
    86788756   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    86798757   -e 's:$: $lt_compiler_flag:'`
    8680    (eval echo "\"\$as_me:8680: $lt_compile\"" >&5)
     8758   (eval echo "\"\$as_me:8758: $lt_compile\"" >&5)
    86818759   (eval "$lt_compile" 2>out/conftest.err)
    86828760   ac_status=$?
    86838761   cat out/conftest.err >&5
    8684    echo "$as_me:8684: \$? = $ac_status" >&5
     8762   echo "$as_me:8762: \$? = $ac_status" >&5
    86858763   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    86868764   then
     
    1102311101  lt_status=$lt_dlunknown
    1102411102  cat > conftest.$ac_ext <<EOF
    11025 #line 11025 "configure"
     11103#line 11103 "configure"
    1102611104#include "confdefs.h"
    1102711105
     
    1112311201  lt_status=$lt_dlunknown
    1112411202  cat > conftest.$ac_ext <<EOF
    11125 #line 11125 "configure"
     11203#line 11203 "configure"
    1112611204#include "confdefs.h"
    1112711205
     
    1346713545   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1346813546   -e 's:$: $lt_compiler_flag:'`
    13469    (eval echo "\"\$as_me:13469: $lt_compile\"" >&5)
     13547   (eval echo "\"\$as_me:13547: $lt_compile\"" >&5)
    1347013548   (eval "$lt_compile" 2>conftest.err)
    1347113549   ac_status=$?
    1347213550   cat conftest.err >&5
    13473    echo "$as_me:13473: \$? = $ac_status" >&5
     13551   echo "$as_me:13551: \$? = $ac_status" >&5
    1347413552   if (exit $ac_status) && test -s "$ac_outfile"; then
    1347513553     # The compiler can only warn and ignore the option if not recognized
     
    1357113649   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1357213650   -e 's:$: $lt_compiler_flag:'`
    13573    (eval echo "\"\$as_me:13573: $lt_compile\"" >&5)
     13651   (eval echo "\"\$as_me:13651: $lt_compile\"" >&5)
    1357413652   (eval "$lt_compile" 2>out/conftest.err)
    1357513653   ac_status=$?
    1357613654   cat out/conftest.err >&5
    13577    echo "$as_me:13577: \$? = $ac_status" >&5
     13655   echo "$as_me:13655: \$? = $ac_status" >&5
    1357813656   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1357913657   then
     
    1514115219   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1514215220   -e 's:$: $lt_compiler_flag:'`
    15143    (eval echo "\"\$as_me:15143: $lt_compile\"" >&5)
     15221   (eval echo "\"\$as_me:15221: $lt_compile\"" >&5)
    1514415222   (eval "$lt_compile" 2>conftest.err)
    1514515223   ac_status=$?
    1514615224   cat conftest.err >&5
    15147    echo "$as_me:15147: \$? = $ac_status" >&5
     15225   echo "$as_me:15225: \$? = $ac_status" >&5
    1514815226   if (exit $ac_status) && test -s "$ac_outfile"; then
    1514915227     # The compiler can only warn and ignore the option if not recognized
     
    1524515323   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1524615324   -e 's:$: $lt_compiler_flag:'`
    15247    (eval echo "\"\$as_me:15247: $lt_compile\"" >&5)
     15325   (eval echo "\"\$as_me:15325: $lt_compile\"" >&5)
    1524815326   (eval "$lt_compile" 2>out/conftest.err)
    1524915327   ac_status=$?
    1525015328   cat out/conftest.err >&5
    15251    echo "$as_me:15251: \$? = $ac_status" >&5
     15329   echo "$as_me:15329: \$? = $ac_status" >&5
    1525215330   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1525315331   then
     
    1745217530   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1745317531   -e 's:$: $lt_compiler_flag:'`
    17454    (eval echo "\"\$as_me:17454: $lt_compile\"" >&5)
     17532   (eval echo "\"\$as_me:17532: $lt_compile\"" >&5)
    1745517533   (eval "$lt_compile" 2>conftest.err)
    1745617534   ac_status=$?
    1745717535   cat conftest.err >&5
    17458    echo "$as_me:17458: \$? = $ac_status" >&5
     17536   echo "$as_me:17536: \$? = $ac_status" >&5
    1745917537   if (exit $ac_status) && test -s "$ac_outfile"; then
    1746017538     # The compiler can only warn and ignore the option if not recognized
     
    1772017798   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1772117799   -e 's:$: $lt_compiler_flag:'`
    17722    (eval echo "\"\$as_me:17722: $lt_compile\"" >&5)
     17800   (eval echo "\"\$as_me:17800: $lt_compile\"" >&5)
    1772317801   (eval "$lt_compile" 2>conftest.err)
    1772417802   ac_status=$?
    1772517803   cat conftest.err >&5
    17726    echo "$as_me:17726: \$? = $ac_status" >&5
     17804   echo "$as_me:17804: \$? = $ac_status" >&5
    1772717805   if (exit $ac_status) && test -s "$ac_outfile"; then
    1772817806     # The compiler can only warn and ignore the option if not recognized
     
    1782417902   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1782517903   -e 's:$: $lt_compiler_flag:'`
    17826    (eval echo "\"\$as_me:17826: $lt_compile\"" >&5)
     17904   (eval echo "\"\$as_me:17904: $lt_compile\"" >&5)
    1782717905   (eval "$lt_compile" 2>out/conftest.err)
    1782817906   ac_status=$?
    1782917907   cat out/conftest.err >&5
    17830    echo "$as_me:17830: \$? = $ac_status" >&5
     17908   echo "$as_me:17908: \$? = $ac_status" >&5
    1783117909   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1783217910   then
Note: See TracChangeset for help on using the changeset viewer.